Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

/api/v1/report/pvk/data/{id}

Request

Security
Bearer
Path
idinteger(int32)required

Verification Run Id

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/report/pvk/data/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Get verification report data was successful

Bodyapplication/json
pvkReportobject(PVKReport)
Response
application/json
{ "pvkReport": { "commonInfo": {}, "equipmentGroups": [], "verificationRunIds": [], "measurementGroup": [], "channelAxisOffsets": [], "position": {}, "hhsVerificationData": {}, "hhcVerificationData": {}, "uvVerificationData": {}, "independentVolumeMeasurements": [], "mphVolumeMeasurements": [], "reportType": "DoorSensor", "result": "string", "saveToDB": true, "title": "string", "digitalSignature": {}, "camera": {} } }

Retrieves the verification run report file from the provided verification run id

Request

Security
Bearer
Path
verificationRunIdinteger(int32)required
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/report/pvk/file/{verificationRunId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The verification run report

Bodyapplication/json
string(binary)
Response
application/json
"string"

Export verification report(s)

Request

Security
Bearer
Query
verificationRunIdsArray of integers(int32)required

The id(s) of the verification report(s) to export

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/report/pvk/export?verificationRunIds=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The verification report(s) were exported successfully

Bodyapplication/json
string(binary)
Response
application/json
"string"

Retrieves the verification run report file name from the provided verification run id

Request

Security
Bearer
Path
verificationRunIdinteger(int32)required
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/report/pvk/file/{verificationRunId}/name' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The verification run report

Bodyapplication/json
string
Response
application/json
"string"

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations